%define bname gstreamer0.10
%define oname gst-ffmpeg
%define gstver 0.10.22

Summary: Gstreamer plugin for ffmpeg codecs and (de)muxers
Name: %bname-ffmpeg
Version: 0.10.13
Release: %mkrel 3
Source0: http://gstreamer.freedesktop.org/src/gst-ffmpeg/%{oname}-%{version}.tar.xz
Patch1: gst-ffmpeg-0.10.13-ffmpeg-1.0.patch
Patch2: gst-ffmpeg-nosleep.patch
Patch3: gst-ffmpeg-0.10.13-automake-1.13.patch
Patch4: gst-ffmpeg-0.10.13-planar-audio.patch
Patch5: gst-ffmpeg-0.10.13-ffmpeg-2.0.patch
Patch6: gst-ffmpeg-0.10.13-ffmpeg-2.4.patch
License: GPLv2+
Group: System/Libraries
URL: http://gstreamer.freedesktop.org/modules/gst-ffmpeg.html
BuildRequires: libgstreamer-plugins-base-devel >= %gstver
BuildRequires: liborc-devel >= 0.4.5
BuildRequires: freetype2-devel
BuildRequires: libcheck-devel
Buildrequires: yasm
BuildRequires: libbzip2-devel
BuildRequires: ffmpeg-devel

%description
This plugin provides audio and video codecs as well as muxers and 
demuxers for multimedia file formats from ffmpeg to GStreamer.

%prep
%setup -q -n %oname-%version
%apply_patches

rm -fr gst-libs/ext/libav
mkdir gst-libs/ext/libav
touch gst-libs/ext/libav/configure

%build
%define _disable_ld_no_undefined 1
# (re)generate autofoo using our autotools
NOCONFIGURE=1 ./autogen.sh


%configure2_5x \
  --with-package-name='gst-plugins-ffmpeg pclinuxos rpm' \
  --with-package-origin='http://www.pclinuxos.com/' \
  --with-system-ffmpeg

%make

%install
rm -rf %buildroot
%makeinstall_std
rm -f %buildroot%_libdir/gstreamer*/*a

%files
%doc README NEWS TODO ChangeLog AUTHORS 
%_libdir/gstreamer-0.10/libgstffmpeg.so
%_libdir/gstreamer-0.10/libgstffmpegscale.so
%_libdir/gstreamer-0.10/libgstpostproc.so


%changelog
* Sat Apr 16 2016 bb <bb> 0.10.13-3pclos2016
- rebuild for update

* Mon Jan 06 2014 bb <bb> 0.10.13-2pclos2013
- apply rpmfusion patchset

* Wed Oct 09 2013 billybot <billybot> 0.10.13-1pclos2013
- 0.10.13


